//------------------------------------------------------------------------------
// <auto-generated>
//      Generated by NativeAssist version 1.0.0.0 with Split Generator.
//      Do not modify this file unless necessary.
// </auto-generated>
//------------------------------------------------------------------------------

namespace NativeFx.Interop;

using System;
using GTA.Native;
using GTA;
using GTA.Math;

public static partial class Natives 
{
public static class Security {
/// <summary>
/// Registers a protected variable that will be checked for modifications by the anticheat
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Security<br />
/// <b>From Build:</b> 2545<br />
/// <b>Native ID:</b> 0x40EB1EFD921822BC<br />
/// </para>
/// </remarks>
public static void RegisterScriptVariable(int /* bug: structure */ variable){
Function.Call((Hash)0x40EB1EFD921822BCuL, variable);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Security<br />
/// <b>From Build:</b> 2545<br />
/// <b>Native ID:</b> 0x340A36A700E99699<br />
/// </para>
/// </remarks>
public static void UnregisterScriptVariable(int /* bug: structure */ variable){
Function.Call((Hash)0x340A36A700E99699uL, variable);
}

/// <summary>
/// <i>No description available.</i>
/// </summary>
/// <remarks>
/// <para>
/// <b>In Namespace:</b> Security<br />
/// <b>From Build:</b> 2545<br />
/// <b>Native ID:</b> 0x8E580AB902917360<br />
/// </para>
/// </remarks>
public static void ForceCheckScriptVariables(){
Function.Call((Hash)0x8E580AB902917360uL);
}

}}
